mikesnort - 2009-01-28

I currently am running snort 2.6 and BASE 1.2.5.  I want to make sure I have the latest signatures for finding nefarious network traffic.  Do I need to upgrade the versions of snort and base or do I just need an updated signatures file?  Thanks.